From 51c9000e16079f633e6a3bcfc2e7aeadff5af2a2 Mon Sep 17 00:00:00 2001 From: "github-actions[bot]" Date: Mon, 15 Jun 2026 17:38:36 +0000 Subject: [PATCH] chore: update v3 OpenAPI specs to v3.662.0 --- CHANGELOG.md | 10 ++++++++++ README.md | 6 +++--- specs/v3/v3-document-verification-entry.yaml | 2 +- specs/v3/v3-enhanced-document-verification-entry.yaml | 2 +- specs/v3/v3-report-user-fraud.yaml | 8 -------- specs/v3/v3-services.yaml | 8 -------- specs/v3/v3-smart-selfie-compare-entry.yaml | 2 +- 7 files changed, 16 insertions(+), 22 deletions(-) diff --git a/CHANGELOG.md b/CHANGELOG.md index 7d929dd..3ffeced 100644 --- a/CHANGELOG.md +++ b/CHANGELOG.md @@ -6,6 +6,16 @@ The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/). ## [Unreleased] +## [v3.662.0] - 2026-06-15 + +### Changed +- Updated `v3-document-verification-entry` +- Updated `v3-enhanced-document-verification-entry` +- Updated `v3-report-user-fraud` +- Updated `v3-services` +- Updated `v3-smart-selfie-compare-entry` + + ## [v3.640.0] - 2026-06-05 ### Changed diff --git a/README.md b/README.md index 685b691..7603035 100644 --- a/README.md +++ b/README.md @@ -10,8 +10,8 @@ OpenAPI 3.0 specifications for the Smile Identity v3 API. | [Biometric Authentication](specs/v3/v3-biometric-authentication-entry.yaml) | `POST /v3/authentication` | Submit biometric authentication | | [Biometric Enrollment](specs/v3/v3-biometric-enrollment-entry.yaml) | `POST /v3/registration` | Submit biometric enrollment | | [Biometric KYC](specs/v3/v3-biometric-kyc-entry.yaml) | `POST /v3/biometric_kyc` | Submit Biometric KYC verification | -| [Document Verification](specs/v3/v3-document-verification-entry.yaml) | `POST /v3/document-verification` | Submit Document Verification | -| [Enhanced Document Verification](specs/v3/v3-enhanced-document-verification-entry.yaml) | `POST /v3/enhanced-document-verification` | Submit Enhanced Document Verification | +| [Document Verification](specs/v3/v3-document-verification-entry.yaml) | `POST /v3/document_verification` | Submit Document Verification | +| [Enhanced Document Verification](specs/v3/v3-enhanced-document-verification-entry.yaml) | `POST /v3/enhanced_document_verification` | Submit Enhanced Document Verification | | [Enhanced KYC](specs/v3/v3-enhanced-kyc-entry.yaml) | `POST /v3/enhanced_kyc` | Submit Enhanced KYC verification | | [Replay Callback](specs/v3/v3-replay-callback.yaml) | `POST /v3/replay/{job_id}` | Replay a callback for a completed verification | | [Report User Fraud](specs/v3/v3-report-user-fraud.yaml) | `POST /v3/users/{user_id}/report_fraud` | Flag or clear fraud status for a user | @@ -19,7 +19,7 @@ OpenAPI 3.0 specifications for the Smile Identity v3 API. | [Services](specs/v3/v3-services.yaml) | `GET /v3/services/id_status` | Get ID type availability status | | [Services](specs/v3/v3-services.yaml) | `GET /v3/services/supported_documents` | List supported documents for verification | | [Services](specs/v3/v3-services.yaml) | `GET /v3/services/supported_id_types` | List supported KYC ID types | -| [Smart Selfie Compare](specs/v3/v3-smart-selfie-compare-entry.yaml) | `POST /v3/smart_selfie_compare` | Submit smart selfie compare | +| [Smart Selfie Compare](specs/v3/v3-smart-selfie-compare-entry.yaml) | `POST /v3/compare` | Submit smart selfie compare | | [Token](specs/v3/v3-token.yaml) | `POST /v3/token` | Generate v3 Auth Token | | [Verification Status](specs/v3/v3-verification-status.yaml) | `GET /v3/status/{jobId}` | Get verification status | diff --git a/specs/v3/v3-document-verification-entry.yaml b/specs/v3/v3-document-verification-entry.yaml index cc7bf34..9b036a9 100644 --- a/specs/v3/v3-document-verification-entry.yaml +++ b/specs/v3/v3-document-verification-entry.yaml @@ -13,7 +13,7 @@ info: At least one of `email` or `phone_number` is required. paths: - /v3/document-verification: + /v3/document_verification: post: summary: Submit Document Verification operationId: v3DocumentVerificationEntry diff --git a/specs/v3/v3-enhanced-document-verification-entry.yaml b/specs/v3/v3-enhanced-document-verification-entry.yaml index cecfecf..7d2e457 100644 --- a/specs/v3/v3-enhanced-document-verification-entry.yaml +++ b/specs/v3/v3-enhanced-document-verification-entry.yaml @@ -13,7 +13,7 @@ info: At least one of `email` or `phone_number` is required. paths: - /v3/enhanced-document-verification: + /v3/enhanced_document_verification: post: summary: Submit Enhanced Document Verification operationId: v3EnhancedDocumentVerificationEntry diff --git a/specs/v3/v3-report-user-fraud.yaml b/specs/v3/v3-report-user-fraud.yaml index c95b45c..09652aa 100644 --- a/specs/v3/v3-report-user-fraud.yaml +++ b/specs/v3/v3-report-user-fraud.yaml @@ -16,14 +16,6 @@ info: partner's IP allowlist (when configured) and must not appear on the IP blocklist. -servers: - - url: https://api.smileidentity.com - description: Production - - url: https://testapi.smileidentity.com - description: Sandbox - - url: https://devapi.smileidentity.com - description: Development - components: securitySchemes: SmileIDToken: diff --git a/specs/v3/v3-services.yaml b/specs/v3/v3-services.yaml index 3b1b26d..03ab71b 100644 --- a/specs/v3/v3-services.yaml +++ b/specs/v3/v3-services.yaml @@ -9,14 +9,6 @@ info: Most endpoints do not require authentication. The `GET /v3/services/id_status` endpoint requires a JWT token passed in the `SmileID-Token` header. -servers: - - url: https://api.smileidentity.com - description: Production - - url: https://testapi.smileidentity.com - description: Sandbox - - url: https://devapi.smileidentity.com - description: Development - components: parameters: CountryFilter: diff --git a/specs/v3/v3-smart-selfie-compare-entry.yaml b/specs/v3/v3-smart-selfie-compare-entry.yaml index edef7f2..a038ac5 100644 --- a/specs/v3/v3-smart-selfie-compare-entry.yaml +++ b/specs/v3/v3-smart-selfie-compare-entry.yaml @@ -12,7 +12,7 @@ info: At least one of `email` or `phone_number` is required. paths: - /v3/smart_selfie_compare: + /v3/compare: post: summary: Submit smart selfie compare operationId: v3SmartSelfieCompare